<?php
namespace Drupal\data_api;

global $entity;

function field_get_items($entity_type, $entity, $field_name)
{
    return $entity->{$field_name}['und'];
}

function entity_extract_ids($entity_type, $entity)
{
    if (!isset($entity->type)) {
        throw new \EntityMalformedException("Missing bundle property on entity of type $entity_type.");
    }

    return array(null, null, $entity->type);
}

/**
 * For this mock to work you need to set the global $entity.
 *
 * @param $entity_type
 * @param $bundle
 */
function field_info_instances($entity_type, $bundle)
{
    global $entity;
    $entity = (array) $entity;
    $fields = array();
    foreach (array_keys($entity) as $property) {
        if (strpos($property, 'field_') === 0) {
            $fields[] = $property;
        }
    }

    return array_fill_keys($fields, array());
}

function field_language($entity_type, $entity, $field_name = null, $langcode = null)
{
    global $language;

    return empty($language) ? 'und' : $language;
}
